# $Revision: 1.98 $, $Date: 2002/09/16 22:47:24 $
Summary:	GNOME print programs
Summary(es):	Sistema de impresin de GNOME
Summary(pl):	GNOME print - biblioteki infrastruktury drukowania w rodowisku GNOME
Summary(pt_BR):	O sistema de impresso do GNOME
Summary(ru):	   GNOME
Summary(uk):	̦   GNOME
Summary(zh_CN):	Gnomeӡ
Name:		gnome-print
Version:	0.37
Release:	1
Epoch:		1
License:	LGPL
Group:		X11/Libraries
Source0:	ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-gnome-font-install.patch
Patch1:		%{name}-am15.patch
Patch2:		%{name}-ac_fixes.patch
Icon:		gnome-print.gif
URL:		http://www.levien.com/gnome/print-arch.html
BuildRequires:	libtool
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	freetype-devel
BuildRequires:	gettext-devel
BuildRequires:	libxml-devel
BuildRequires:	gnome-libs-devel >= 1.2.12-3
# Package ghostscript-fonts-std contains required Type1 fonts
Requires:	ghostscript-fonts-std
Prereq:		/sbin/ldconfig
Prereq:		libxml
# that's sick - gnome-font-install requires packages below...
Prereq:		esound
Prereq:		audiofile
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libgnomeprint15

%define		_prefix		/usr/X11R6
%define         _fonts_dir      /usr/share/fonts
%define		_org_datadir	%{_prefix}/share
%define		_datadir	/usr/share
%define		_sysconfdir	/etc/X11/GNOME
%define		_localstatedir	/var

%description
Basic programs and libraries that are virtually required for any GNOME
installation. GNOME is the GNU Network Object Model Environment.
That's a fancy name but really GNOME is a nice GUI desktop
environment. It makes using your computer easy, powerful, and easy to
configure.

%description -l es
gnome-print incluye las bibliotecas que se necesitan para que los
programas GNOME puedan imprimir.

%description -l pl
GNOME print - biblioteki infrastruktury drukowania w rodowisku GNOME.

%description -l pt_BR
O gnome-print inclui as bibliotecas necessrias para que programas
GNOME possam imprimir.

%description -l ru
 gnome-print    ,  
,     GNOME.

%description -l uk
 gnome-print ͦ ¦̦  , ȦΦ  ,
˦ Ц   GNOME.

%package devel
Summary:	GNOME print libraries, includes, etc
Summary(es):	Bibliotecas y archivos de inclusin de GNOME print
Summary(pl):	GNOME print - pliki nagwkowe itp.
Summary(pt_BR):	Bibliotecas e arquivos de incluso do GNOME print
Summary(ru):	       GNOME
Summary(uk):	  ۦ     GNOME
Summary(zh_CN):	Gnomeӡ߿
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Requires:	freetype-devel
Requires:	gdk-pixbuf-devel
Requires:	gnome-libs-devel
Obsoletes:	libgnomeprint15-devel

%description devel
Header files for GNOME print.

%description devel -l es
Este paquete contiene las bibliotecas y los archivos de encabezamiento
que se necesitan para compilar las aplicaciones que usan GNOME print.

%description devel -l pl
Pliki nagwkowe itp. do GNOME print.

%description devel -l pt_BR
Esse pacote contm as bibliotecas e os arquivos de cabealho
necessrios para compilar aplicaes que usam o gnome-print.

%description devel -l ru
 gnome-print-devel  ,   
  GNOME,    GNOME.

%description devel -l uk
 gnome-print-devel  , ҦΦ   ,
  Ԧ  GNOME.

%package static
Summary:	GNOME print static libraries
Summary(es):	Static libraries for gnome-print development
Summary(pl):	Biblioteki statyczne GNOME print
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com o gnome-print
Summary(ru):	      GNOME
Summary(uk):	Φ ¦̦    Ц GNOME
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
GNOME print static libraries.

%description static -l es
Static libraries for gnome-print development.

%description static -l pl
Biblioteki statyczne z funkcjami do drukowania w GNOME.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com o gnome-print.

%description static -l ru
    , 
  GNOME.

%description static -l uk
Φ ¦̦   ,   Ԧ
 GNOME.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing acinclude.m4
sed -e s/AM_GNOME_GETTEXT/AM_GNU_GETTEXT/ configure.in > configure.in.tmp
mv -f configure.in.tmp configure.in
%{__libtoolize}
%{__gettextize}
%{__aclocal} -I %{_aclocaldir}/gnome
%{__autoconf}
%{__automake}
%configure  \
	--without-included-gettext
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	aliasdir=%{_org_datadir}/gnome/fonts \
	mapdir=%{_org_datadir}/gnome/fonts

install fonts/*.font $RPM_BUILD_ROOT%{_org_datadir}/gnome/fonts

:> $RPM_BUILD_ROOT%{_fonts_dir}/fontmap2

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
echo "Generating %{_datadir}/fonts/fontmap2 file"
%{_bindir}/gnome-font-install \
	--aliases=%{_org_datadir}/gnome/fonts/adobe-urw.font \
	--target=%{_datadir}/fonts/fontmap2 \
	--recursive \
	--clean \
	%{_datadir}/fonts/Type1 \
	%{_datadir}/fonts/TTF

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%ghost %{_fonts_dir}/fontmap2
%{_datadir}/gnome-print
%{_org_datadir}/gnome/fonts

%files devel
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/*.sh
%{_includedir}/gnome-1.0/libgnomeprint

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gnome-print.spec,v $
Revision 1.98  2002/09/16 22:47:24  kloczek
- realy update to 0.37.

Revision 1.97  2002/09/16 22:17:11  kloczek
- (auto)updated to 0.37: bug fixes.

Revision 1.96  2002/07/01 10:45:08  trojan
- removed BR: and R: libunicode-devel
- new %%doc packing infrastructure
- release 2

Revision 1.95  2002/06/23 20:52:51  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.94  2002/06/23 20:32:26  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.93  2002/06/02 18:43:23  kloczek
- updated to 0.36 (bugfix release),
- added ac_fixes patch which fixes very stupid bug in configure.in,
- removed obsoleted locale patch.

Revision 1.92  2002/05/21 23:13:16  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.91  2002/05/19 09:59:59  kloczek
- release 2,
- added freetype-devel to BuildRequires list and to Requires list in devel
  subpackage,
- merge translations from KSI and TurboLinux.

Revision 1.90  2002/04/25 16:26:56  arturs
fixed a small typo

Revision 1.89  2002/03/24 23:28:18  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.88  2002/02/23 02:17:46  kloczek
- adapterized.

Revision 1.87  2002/02/22 23:28:59  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.86  2002/01/31 22:28:17  kloczek
- updated to 0.35 (bugfix release).

Revision 1.85  2002/01/25 19:14:50  kloczek
- s/devel-static/static/

Revision 1.84  2002/01/25 19:13:40  kloczek
- merged translations from Conectiva.

Revision 1.83  2002/01/25 19:02:44  filon
- release 4

Revision 1.82  2002/01/25 18:21:47  misiek
- now it should be really final fix

Revision 1.81  2002/01/25 18:15:20  misiek
- final fix? (remote building sucks)

Revision 1.80  2002/01/25 18:08:41  misiek
- moved some files from /usr/share to /usr/X11R6/share

Revision 1.79  2002/01/25 17:55:27  misiek
- added font aliases
- fixed gnome-font-install
- this fu* broken package caused all problems with gnumeric
- release 3

Revision 1.78  2002/01/18 02:13:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.77  2002/01/06 08:44:29  kloczek
- release 2: libgnomeprint15{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.76  2001/12/15 21:42:13  kloczek
- updated to 0.34 (bug fix release).

Revision 1.75  2001/11/10 02:51:27  kloczek
- updated to 0.32.

Revision 1.74  2001/11/08 19:54:33  kloczek
- release 3.

Revision 1.73  2001/11/08 13:06:44  saq
- -devel reqs gnome-libs-devel

Revision 1.72  2001/10/24 19:15:21  kloczek
- release 2,
- fix: run "gnome-font-install -r -c -t /usr/share/fonts/fontmap2 /usr/share/fonts/"
  in %post (now fontmap file is generated correctly and gnumeric also woks :)

Revision 1.71  2001/10/16 15:29:57  kloczek
- updated to 0.31 and removed obsoleted empty_files patch.

Revision 1.70  2001/10/11 10:28:14  kura
- release 2
- added gnome-print-empty_files.patch

Revision 1.69  2001/10/09 01:22:04  kloczek
- updated to 0.30.

Revision 1.68  2001/09/26 15:41:48  kloczek
- realy release 7.

Revision 1.67  2001/09/26 14:55:26  kloczek
- release 7,
- added am15 patch,
- merged options patch from rawhide.

Revision 1.66  2001/09/26 10:54:17  qboosh
- adapterized, BuildRequires: gettext-devel

Revision 1.65  2001/08/10 08:21:39  trojan
- moved Requires: gdk-pixbuf-devel from static to devel

Revision 1.64  2001/06/03 17:31:05  kloczek
- updated to 0.29.

Revision 1.63  2001/05/19 16:10:37  saq
- bugfix: gnome-font-install needs --target=%{_fonts_dir}/fontmap
- release 3. STB

Revision 1.62  2001/04/23 23:44:11  kloczek
- release 3: rebuild for generate proper dependences.

Revision 1.62  2001/04/23 23:44:11  kloczek
- release 2.

Revision 1.61  2001/04/23 19:46:40  misiek
fix gnome-font-install call

Revision 1.60  2001/04/23 10:31:11  misiek
- updated to 0.28
- rebuild autostuff
- use new gettext

Revision 1.59  2001/03/17 01:09:01  kloczek
- updated to 0.27.

Revision 1.58  2001/03/07 13:36:16  misiek
0.26; gnome-font-install seems be broken

Revision 1.57  2001/03/02 21:16:46  kloczek
- added macros patch wit all missing gnome aclocal macros (neccessary for
  regenerate ac/am files in %build).

Revision 1.56  2001/02/28 05:17:33  kloczek
- release 9,
- merge localeh, fontsel rawhide patches,
- rebuild against gnome-libs linked with audiofile 0.2.1.

Revision 1.55  2001/01/31 16:52:57  kloczek
- regenerate all automake/autoconf files for allow build in automake 1.4b
  enviromet (added autoconf to BuildRequires).

Revision 1.54  2001/01/31 16:18:01  kloczek
- relese 3,
- added libgnomeprint11 to Obsoletes and Epoch: 1 (for allow upgrade from
  RH version).

Revision 1.53  2000/12/25 18:07:16  zagrodzki
- added some prereq (esound, audiofile - gnome-install-fonts needs it :>>)
- release 2

Revision 1.52  2000/11/14 03:01:10  kloczek
- updated to 0.25.

Revision 1.51  2000/11/13 17:31:43  misiek
added Requires:       gdk-pixbuf-devel

Revision 1.50  2000/11/10 14:53:39  kloczek
- release 4,
- hardcode path to fontmap file (/usr/share/fonts),
- change directoty to /usr/share/fonts before scan avalaible fonts to
  /usr/share/fonts,
- run gnome-font-install eith --disable-sound.

Revision 1.49  2000/10/27 11:04:54  kloczek
- release 3: rebuild against gnome-libs linked with db3.

Revision 1.48  2000/10/05 18:19:14  kloczek
- comment no_gnome patch (this not yet ready).

Revision 1.47  2000/10/05 18:02:32  kloczek
- release 2.

Revision 1.46  2000/10/05 17:59:58  kloczek
- added libxml to Prereq (because gnome-font-install runed in %post requires
  this library).

Revision 1.45  2000/10/02 19:59:52  kloczek
- added libunicode-devel to Requires list for devel.

Revision 1.44  2000/10/02 17:55:40  kloczek
- updated to 0.24.

Revision 1.43  2000/09/27 15:13:13  kloczek
- updated to 0.23.

Revision 1.42  2000/09/27 15:10:35  kloczek
- added using rpm new automation,
- changed Group to X11/Libraries and X11/Development/Libraries in devel
  and static.

Revision 1.41  2000/09/26 19:28:01  baggins
- release 3
- buildrequires libunicode-devel

Revision 1.40  2000/09/12 15:48:25  kloczek
- release 2,
- emoved commented lines and adapterized.

Revision 1.39  2000/09/02 12:39:24  misiek
- BuildRequires: libxml-devel

Revision 1.38  2000/08/30 21:15:00  kloczek
- updated to 0.22.

Revision 1.37  2000/08/27 21:26:08  kloczek
- adapterized.

Revision 1.36  2000/08/27 01:01:50  klakier
- triggers and options to gnome-font-install commented out:
  gnome-font-install is now invoked from ghostscript-font-std.
  Well prepared .font files doesn't require gnome-font-install
  to be invoked with options

Revision 1.35  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.34  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.33  2000/05/23 12:57:33  wiget
fixed typo

Revision 1.32  2000/05/21 00:46:21  kloczek
- updated to 0.20.

Revision 1.31  2000/05/18 23:46:01  kloczek
- spec adapterized.

Revision 1.30  2000/05/05 15:09:09  kloczek
- updated to 0.19.

Revision 1.29  2000/04/14 11:53:27  kloczek
- small fix in %install.

Revision 1.28  2000/04/14 11:05:39  kloczek
- adde empty %%{_fonts_dir}/fontmap in %install.

Revision 1.27  2000/04/14 10:42:28  kloczek
- added %triggerpost, %triggerpostin for ghostscript-fonts-std with
  regenerare fontmap on install/uninstall ghostscript-fonts-std,
- %%{_datadir} now points to /usr/share,
- remove all *.font files from %files (not neccessary now).

Revision 1.26  2000/04/14 05:31:30  kloczek
- updated to 0.18.

Revision 1.25  2000/04/01 13:16:00  cieciwa
- fixed *** error in %%changelog.

Revision 1.24  2000/04/01 11:14:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/31 11:41:40  misiek
- *** empty log message ***

Revision 1.22  2000/03/31 11:40:57  misiek
- fixed %%install

Revision 1.21  2000/03/30 14:06:35  misiek
- use gs fonts instead of urw fonts

Revision 1.20  2000/03/28 16:54:20  baggins
- translated kloczkish into english

Revision 1.19  2000/03/28 09:56:48  misiek
- install afm && *.fonts maps
- run gnome-font-install in %post

Revision 1.18  2000/03/28 01:14:09  kloczek
- updated to 0.16.

Revision 1.17  2000/03/27 16:55:34  misiek
- update to 0.15
- in %post there should be call to gnome-font-install to create
  fontmap file

Revision 1.16  2000/03/27 02:09:42  kloczek
- updated to 0.14,
- some fixes in %description and Summary.

Revision 1.15  2000/03/06 05:25:36  kloczek
- updaed to 0.12.

Revision 1.14  2000/02/20 07:08:01  kloczek
- updated to 0.10,
- spec adapterized.

Revision 1.13  1999/12/13 14:45:53  cieciwa
- fixex source locations.

Revision 1.12  1999/09/28 16:06:48  kloczek
- updated to 0.9.

Revision 1.11  1999/09/25 18:10:09  kloczek
- updated to 0.8.

Revision 1.10  1999/09/20 22:46:04  kloczek
- updated to 0.7,
- added using %configure macro,
- added lib*.la files to devel.

Revision 1.9  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.8  1999/07/12 23:05:57  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Mar 29 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.1.1-1]
- first release in rpm package.
